
%{!?_licensedir:%global license %%doc}

Name:    libkface
Summary: A face recognition and detection library
Version: 15.04.0
Release: 1%{?dist}

License: GPLv2+
URL:     https://projects.kde.org/projects/kde/kdegraphics/libs/libkface
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: kdelibs4-devel >= 4.14
# can be patched to support 2.4.7, but we can consider supporting that after review -- rex
BuildRequires: pkgconfig(opencv) >= 2.4.9

%{?kdelibs4_requires}

%description
%{summary}.

%package devel
Summary:  Development files for %{name}
License:  GPLv2+ and LGPLv2+ and BSD
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: kdelibs4-devel
%description devel
%{summary}.


%prep
%setup -q


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%check
export PKG_CONFIG_PATH=%{buildroot}%{_libdir}/pkgconfig
pkg-config --modversion libkface


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc AUTHORS README TODO
%license COPYING
%{_kde4_appsdir}/libkface/
%{_kde4_libdir}/libkface.so.3*

%files devel
%license COPYING.LIB
%{_kde4_includedir}/libkface/
%{_kde4_libdir}/libkface.so
%license COPYING-CMAKE-SCRIPTS
%{_kde4_libdir}/cmake/Kface-3.5.0/
%{_libdir}/pkgconfig/libkface.pc


%changelog
* Mon Apr 13 2015 Rex Dieter <rdieter@fedoraproject.org> 15.04.0-1
- 15.04.0

* Sat Apr 11 2015 Rex Dieter <rdieter@fedoraproject.org> 15.03.97-2
- switch to publically-available 15.03.97
- fix missing %%description
- -devel: %%license COPYING.LIB COPYING-CMAKE_SCRIPTS

* Sat Apr 11 2015 Rex Dieter <rdieter@fedoraproject.org> 15.04.0-1
- 15.04.0

